GET
/deals/:id/stage-changes/Get deal stage changes
You can return deal stage changes.
| Attribute | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for the deal which is given by User.com automatically. |
| Lookup | Description | Example usage |
|---|---|---|
| count_from | A date from when stats should be counted | ?count_from=2021-05-16 |
| count_to | A date utill stats should be counted | ?count_from=2022-05-16 |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H
"Authorization: Token <your_64_char_api_key>" -H "Accept: */*; version=2" "https://<your_app_subdomain>.user.com/api/public/deals/:id/stage-changes/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/deals/:id/stage-changes/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/deals/:id/stage-changes/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key> "
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = ""
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/deals/:id/stage-changes/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"deal": "Deal_56234",
"changed_by": null,
"stage_name": "Negotiations",
"entered_at": "2024-04-19T12:01:37.084481Z",
"left_at": null,
"stage": 5
},
{
"id": 3,
"deal": "Deal_56234",
"changed_by": "John Doe",
"stage_name": "Demo scheduled",
"entered_at": "2024-04-19T12:01:35.449037Z",
"left_at": "2024-04-19T12:01:37.084481Z",
"stage": 3
},
{
"id": 2,
"deal": "Deal_56234",
"changed_by": "John Doe",
"stage_name": "Contact made",
"entered_at": "2024-04-19T12:01:34.200751Z",
"left_at": "2024-04-19T12:01:35.449037Z",
"stage": 2
}
]
}